org.apache.lucene.analysis.ngram

## Class NGramTokenizerFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.TokenizerFactory
    - - org.apache.lucene.analysis.ngram.NGramTokenizerFactory

    public class NGramTokenizerFactory
    extends TokenizerFactory

Factory for `NGramTokenizer`.

     <fieldType name="text_ngrm" class="solr.TextField" positionIncrementGap="100">
       <analyzer>
         <tokenizer class="solr.NGramTokenizerFactory" minGramSize="1" maxGramSize="2"/>
       </analyzer>
     </fieldType>

Since:
  3.1
SPI Name (Note: This is case-insensitive. e.g., if the name is 'htmlStrip', 'htmlstrip' can be used when looking up the service):
  "nGram"

### Field Summary

Fields
`static String` `NAME` SPI name

### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

`LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

### Constructor Summary

Constructors
Constructor and Description
`NGramTokenizerFactory(Map<String,String> args)` Creates a new NGramTokenizerFactory

### Method Summary

All Methods Instance Methods Concrete Methods
`Tokenizer` `create(AttributeFactory factory)` Creates the `TokenStream` of n-grams from the given `Reader` and `AttributeFactory`.

### Methods inherited from class org.apache.lucene.analysis.util.TokenizerFactory

`availableTokenizers, create, findSPIName, forName, lookupClass, reloadTokenizers`

### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

`get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NAME

    public static final String NAME

SPI name

See Also:
  Constant Field Values

### Constructor Detail

#### NGramTokenizerFactory

    public NGramTokenizerFactory(Map<String,String> args)

Creates a new NGramTokenizerFactory

### Method Detail

#### create

    public Tokenizer create(AttributeFactory factory)

Creates the `TokenStream` of n-grams from the given `Reader` and `AttributeFactory`.

Specified by:
  `create` in class `TokenizerFactory`